<p align="center">
    <img src="https://raw.githubusercontent.com/tijme/raivo/master/Assets/app-icon.png" width="200"/>
</p>
<p align="center">
    <a href="https://apps.apple.com/us/app/raivo-otp/id1459042137?mt=8">
        <img src="https://linkmaker.itunes.apple.com/en-us/badge-lrg.svg?releaseDate=2019-08-01&kind=iossoftware&bubble=ios_apps" width="180"/>
    </a>
</p>
<p align="center">
    <a href="https://github.com/tijme/raivo/blob/master/LICENSE.md"><img src="https://raw.finnwea.com/shield/?firstText=Source&secondText=Licensed" /></a>
    <a href="https://itunes.apple.com/"><img src="https://raw.finnwea.com/shield/?firstText=Platform&secondText=iOS%20(11%20or%20higher)" /></a>
    <a href="https://github.com/tijme/raivo/releases"><img src="https://raw.finnwea.com/shield/?typeKey=SemverVersion&typeValue1=raivo&typeValue2=master&typeValue4=Release&cache=3"></a>
    <br/>
    <b>A native, lightweight and secure time-based (TOTP) & counter-based (HOTP) password client built for iOS</b>
    <br/>
    <sup>Built by <a href="https://www.linkedin.com/in/tijme/">Tijme Gommers</a> – Buy me a coffee via <a href="https://www.paypal.me/tijmegommers">PayPal</a></sup>
    <br/>
</p>

<p align="center">
    <img src="https://github.com/tijme/raivo/raw/master/.github/preview_left.png?cache=3" width="280">
    <img src="https://github.com/tijme/raivo/raw/master/.github/preview_middle.png?cache=3" width="280">
    <img src="https://github.com/tijme/raivo/raw/master/.github/preview_right.png?cache=3" width="280">
</p>

## Features

* Backup/sync (T/H)OTPs to iCloud automagically
* Add custom issuer icons for your OTPs
* Scan a QR code or add an OTP manually
* Show the current and previous token
* Search using powerful search capabilities
* Optional FaceID or TouchID unlock
* Export passwords as encrypted ZIP archives
* It's fast (native, built in Swift 5)
* It's secure (see the [security policy](https://github.com/tijme/raivo/blob/master/SECURITY.md) for more information)
* It's open-source (check the [contribution policy](https://github.com/tijme/raivo/blob/master/CONTRIBUTING.md))

## Icons

Raivo enables you to add your own icons to OTPs. You can add your own icon via the [Raivo icon repository](https://github.com/tijme/raivo-issuer-icons). Make sure to read the contribution guidelines before making a pull request.

## Migrating

The following migration guides walk you through the process of migrating from your existing OTP app to Raivo OTP.

* [Migrating from **Authy** to Raivo OTP](https://tij.me/blog/migrating-your-one-time-passwords-from-authy-to-raivo-otp/)

## Issues

Issues or new features can be reported via the [issue tracker](https://github.com/tijme/raivo/issues). Please make sure your issue or feature has not yet been reported by anyone else before submitting a new one.

## Security

If you discover a security vulnerability, we would like to know about it so we can take steps to address it as quickly as possible. Please refer to the [security policy](https://github.com/tijme/raivo/blob/master/SECURITY.md) for information on reporting vulnerabilities.

## Privacy

Raivo does not collect personally identifiable information in any way. Please refer to the [privacy policy](https://github.com/tijme/raivo/blob/master/PRIVACY.md) for information.

## License

Copyright (c) 2019 Tijme Gommers. All rights reserved. View [LICENSE.md](https://github.com/tijme/raivo/blob/master/LICENSE.md) for the full license.